Package org.apache.sysds.runtime.instructions.spark

# Class AppendGSPInstruction.ShiftMatrix

java.lang.Object
org.apache.sysds.runtime.instructions.spark.AppendGSPInstruction.ShiftMatrix

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<MatrixIndexes,MatrixBlock>,MatrixIndexes,MatrixBlock>`

Enclosing class:
  AppendGSPInstruction

public static class AppendGSPInstruction.ShiftMatrix extends Object implements org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<MatrixIndexes,MatrixBlock>,MatrixIndexes,MatrixBlock>

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ShiftMatrix(DataCharacteristics mc1, DataCharacteristics mc2, boolean cbind)`

## Method Summary

Modifier and Type
Method
Description
`Iterator<scala.Tuple2<MatrixIndexes,MatrixBlock>>`
`call(scala.Tuple2<MatrixIndexes,MatrixBlock> kv)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ShiftMatrix

public ShiftMatrix(DataCharacteristics mc1, DataCharacteristics mc2, boolean cbind)

## Method Details

### call

public Iterator<scala.Tuple2<MatrixIndexes,MatrixBlock>> call(scala.Tuple2<MatrixIndexes,MatrixBlock> kv) throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.PairFlatMapFunction<scala.Tuple2<MatrixIndexes,MatrixBlock>,MatrixIndexes,MatrixBlock>`
Throws:
  `Exception`